Package ru.bgcrm.dao.process

# Class StatusDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.StatusDAO

public class StatusDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteStatus(int id)`
  `Status`
  `getStatus(int id)`
  `static Status`
  `getStatusFromRs(ResultSet rs)`
  `List<Status>`
  `getStatusList()`
  `List<Status>`
  `getStatusList(Set<Integer> ids)`
  `void`
  `searchStatus(Pageable<Status> searchResult)`
  `void`
  `updateStatus(Status status)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatusDAO

    public StatusDAO(Connection con)

- ## Method Details

  - ### searchStatus

    public void searchStatus(Pageable<Status> searchResult) throws SQLException
    Throws:
      `SQLException`

  - ### getStatus

    public Status getStatus(int id) throws SQLException
    Throws:
      `SQLException`

  - ### deleteStatus

    public void deleteStatus(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateStatus

    public void updateStatus(Status status) throws SQLException
    Throws:
      `SQLException`

  - ### getStatusList

    public List<Status> getStatusList() throws SQLException
    Throws:
      `SQLException`

  - ### getStatusList

    public List<Status> getStatusList(Set<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### getStatusFromRs

    public static Status getStatusFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`